Z-ray + php7 + ubuntu 16

General discussion forum for the Zend Server
Post Reply
stij2324
Posts: 55
Joined: Fri Nov 06, 2015 11:42 pm

Z-ray + php7 + ubuntu 16

Post by stij2324 » Thu Nov 10, 2016 2:53 pm

The lastest version of separate z-ray don't support PHP7 or ubuntu 16

User avatar
zend_eyalt
Posts: 266
Joined: Thu Jan 22, 2009 3:16 pm

Re: Z-ray + php7 + ubuntu 16

Post by zend_eyalt » Sun Nov 13, 2016 9:07 am

Indeed Z-Ray Standalone does not support at the moment PHP 7.

You might want to try Zend Server 9.x which includes Z-Ray, and supports Ubuntu 16 + PHP7.

stij2324
Posts: 55
Joined: Fri Nov 06, 2015 11:42 pm

Re: Z-ray + php7 + ubuntu 16

Post by stij2324 » Sun Nov 13, 2016 10:26 pm

Didn't supprt it when i first wanted it ;)(See other ticket)
When will the r-ray solu support it? cause it seems that it already support it because ot's in zend server.

User avatar
zend_eyalt
Posts: 266
Joined: Thu Jan 22, 2009 3:16 pm

Re: Z-ray + php7 + ubuntu 16

Post by zend_eyalt » Tue Nov 15, 2016 2:44 pm

At the moment I'm afraid there's no due date as to when Z-ray standalone would support PHP 7 - it's really a matter of hearing from other many users that they require such support..

jeff2636
Posts: 1
Joined: Fri Dec 02, 2016 4:20 am

Re: Z-ray + php7 + ubuntu 16

Post by jeff2636 » Fri Dec 02, 2016 4:23 am

You're looking for input to see if your PHP users are interested in support for the current version of PHP, which shipped a year ago? That does seem like a tough question.

stij2324
Posts: 55
Joined: Fri Nov 06, 2015 11:42 pm

Re: Z-ray + php7 + ubuntu 16

Post by stij2324 » Mon Dec 05, 2016 12:17 pm

Yep cause now there is already a php 7.1
And i think that's its's not that mluch extra woirk because the z-ray already works with php 7.0 in zend server 9

User avatar
MickeyZend
Zend Product Manager
Posts: 113
Joined: Mon Aug 19, 2013 1:34 pm
Location: Israel

Re: Z-ray + php7 + ubuntu 16

Post by MickeyZend » Mon Dec 05, 2016 1:05 pm

We are glad to see that there is an interest in Z-Ray Standalone and obviously understand that developers want to use it with latest PHP versions.
Regardless of the effort size, for now, we decided not to invest in Z-Ray standalone for PHP7, or 7.1 for that matter, till we reach a business decision on turning it to a real product with all relevant aspects accompanied to the transformation from Experimental (as it is now) to GA.
Once and if we decide to go for GA all the newest PHPs and all recent Z-Ray enhancements should be available.

Thanks,
Mickey.

Post Reply